%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/IGLOU-EU/go-wildcard
Version:                1.0.3

%gometa

%global common_description %{expand:
Fast and light wildcard pattern matching. Fork from Minio project.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fast and light wildcard pattern matching. Fork from Minio project

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
